# Generated by Django 5.1.1 on 2024-09-20 09:59

import django.db.models.deletion
import django_extensions.db.fields
import hitcount.models
import modelcluster.fields
import wagtail.contrib.routable_page.models
import wagtail.fields
import wagtail_color_panel.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailcore', '0094_alter_page_locale'),
        ('wagtailimages', '0026_delete_uploadedimage'),
    ]

    operations = [
        migrations.CreateModel(
            name='ServiceIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('intro', wagtail.fields.RichTextField(blank=True)),
                ('banner', wagtail.fields.StreamField([('banner', 7)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 200, 'max': 400, 'min': 150}), 1: ('wagtail.blocks.IntegerBlock', (), {'default': 400, 'max': 600, 'min': 350}), 2: ('wagtail.blocks.IntegerBlock', (), {'default': 2000, 'help_text': 'Slide time in ms'}), 3: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 4: ('wagtail.blocks.CharBlock', (), {'required': False}), 5: ('wagtail.blocks.StructBlock', [[('image', 3), ('title', 4)]], {}), 6: ('wagtail.blocks.StreamBlock', [[('slide', 5)]], {}), 7: ('wagtail.blocks.StructBlock', [[('height', 0), ('width', 1), ('timer', 2), ('content', 6)]], {})}, null=True)),
            ],
            options={
                'abstract': False,
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, 'wagtailcore.page'),
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG Color')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG Color')),
                ('hoverBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Hover BG Color')),
                ('hoverFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Hover FG Color')),
                ('catName', models.CharField(max_length=250, verbose_name='Category Name')),
                ('catSlug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from='catName', verbose_name='Slug')),
                ('catImgText', models.CharField(blank=True, help_text='Get icons from https://forkaweso.me/Fork-Awesome/icons/', max_length=255, null=True)),
                ('catShortDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Short Description')),
                ('order', models.IntegerField(blank=True, null=True, unique=True)),
                ('isLive', models.BooleanField(default=True, verbose_name='Active')),
                ('catImg', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='wagtailimages.image')),
            ],
            options={
                'verbose_name_plural': 'Category',
                'ordering': ['order'],
            },
        ),
        migrations.CreateModel(
            name='SubCategory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG Color')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG Color')),
                ('hoverBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Hover BG Color')),
                ('hoverFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Hover FG Color')),
                ('scName', models.CharField(blank=True, max_length=250, null=True, verbose_name='Name')),
                ('scSlug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from='scName', verbose_name='Slug')),
                ('scImgText', models.CharField(blank=True, help_text='Get icons from https://forkaweso.me/Fork-Awesome/icons/', max_length=255, null=True)),
                ('scDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Description')),
                ('catName', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='sub_categories', to='Service.category')),
                ('scImg', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='wagtailimages.image')),
            ],
            options={
                'verbose_name': 'Sub Category',
                'verbose_name_plural': 'Sub Category',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='ServicePage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('shortDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Short Description')),
                ('body', wagtail.fields.StreamField([('section', 25), ('row', 36)], blank=True, block_lookup={0: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 1: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 2: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('Arial', 'Arial'), ("'Catamaran'", 'Catamaran'), ('Macklin Sans', 'Macklin Sans'), ('Helvetica', 'Helvetica'), ('sans-serif', 'sans-serif'), ('Georgia', 'Georgia'), ('Times New Roman', 'Times New Roman')], 'required': False}), 3: ('wagtail.blocks.CharBlock', (), {'required': False}), 4: ('wagtail.blocks.CharBlock', (), {}), 5: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 6: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 7: ('wagtail.blocks.StructBlock', [[('title', 4), ('alignment', 5), ('size', 6)]], {'required': False}), 8: ('wagtail.blocks.RichTextBlock', (), {}), 9: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'label': 'Line Spacing', 'required': False}), 10: ('wagtail.blocks.StructBlock', [[('text', 8), ('alignment', 5), ('size', 6), ('line_space', 9)]], {'required': False}), 11: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('bash', 'Bash/Shell'), ('css', 'CSS'), ('diff', 'diff'), ('html', 'HTML'), ('javascript', 'Javascript'), ('json', 'JSON'), ('python', 'Python'), ('scss', 'SCSS'), ('yaml', 'YAML')], 'help_text': 'Coding language', 'identifier': 'language', 'label': 'Language'}), 12: ('wagtail.blocks.TextBlock', (), {'identifier': 'code', 'label': 'Code'}), 13: ('wagtail.blocks.StructBlock', [[('language', 11), ('code', 12)]], {'label': 'Code', 'required': False}), 14: ('wagtail.blocks.BlockQuoteBlock', (), {}), 15: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'required': False}), 16: ('wagtail.blocks.StructBlock', [[('quote', 14), ('alignment', 5), ('size', 6), ('line_space', 15)]], {'required': False}), 17: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 18: ('wagtail.blocks.StructBlock', [[('title', 4), ('size', 6)]], {}), 19: ('wagtail.blocks.StructBlock', [[('desc', 8), ('size', 6), ('alignment', 5), ('line_space', 15)]], {}), 20: ('wagtail.blocks.StructBlock', [[('title', 18), ('detail', 19)]], {}), 21: ('wagtail.blocks.StreamBlock', [[('accord_items', 20)]], {'required': False}), 22: ('wagtail.blocks.PageChooserBlock', (), {'required': False}), 23: ('wagtail.blocks.StructBlock', [[('image', 17), ('caption', 3)]], {'required': False}), 24: ('wagtail.blocks.StreamBlock', [[('heading', 7), ('paragraph', 10), ('code', 13), ('quote', 16), ('image', 17), ('accordion', 21), ('link', 22), ('image_Text', 23)]], {'required': False}), 25: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('fontType', 2), ('title', 3), ('content', 24)]], {}), 26: ('wagtail.blocks.CharBlock', (), {'default': '50%', 'required': False}), 27: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color'}), 28: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color'}), 29: ('wagtail.blocks.StreamBlock', [[('heading', 7), ('paragraph', 10), ('code', 13), ('quote', 16), ('image', 17), ('accordion', 21), ('link', 22), ('image_Text', 23)]], {}), 30: ('wagtail.blocks.StructBlock', [[('fontType', 2), ('content', 29)]], {'required': False}), 31: ('wagtail.blocks.StreamBlock', [[('column', 30)]], {'required': False}), 32: ('wagtail.blocks.StructBlock', [[('bgColor', 27), ('fgColor', 28), ('title', 3), ('content', 31)]], {'required': False}), 33: ('wagtail.blocks.StreamBlock', [[('heading', 7), ('paragraph', 10), ('code', 13), ('quote', 16), ('image', 17), ('sub_row', 32), ('accordion', 21), ('link', 22), ('image_Text', 23)]], {'required': False}), 34: ('wagtail.blocks.StructBlock', [[('fontType', 2), ('width', 26), ('content', 33)]], {'required': False}), 35: ('wagtail.blocks.StreamBlock', [[('column', 34)]], {'required': False}), 36: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('title', 3), ('content', 35)]], {})}, null=True)),
                ('banner', wagtail.fields.StreamField([('banner', 7)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 200, 'max': 400, 'min': 150}), 1: ('wagtail.blocks.IntegerBlock', (), {'default': 400, 'max': 600, 'min': 350}), 2: ('wagtail.blocks.IntegerBlock', (), {'default': 2000, 'help_text': 'Slide time in ms'}), 3: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 4: ('wagtail.blocks.CharBlock', (), {'required': False}), 5: ('wagtail.blocks.StructBlock', [[('image', 3), ('title', 4)]], {}), 6: ('wagtail.blocks.StreamBlock', [[('slide', 5)]], {}), 7: ('wagtail.blocks.StructBlock', [[('height', 0), ('width', 1), ('timer', 2), ('content', 6)]], {})}, null=True)),
                ('showFooter', models.BooleanField(blank=True, default=False, null=True, verbose_name='Show Footer')),
                ('titleImg', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='wagtailimages.image', verbose_name='Title Image')),
                ('category', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='services', to='Service.subcategory')),
            ],
            options={
                'verbose_name': 'Service Page',
            },
            bases=('wagtailcore.page', hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='ProductPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('shortDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Short Description')),
                ('body', wagtail.fields.StreamField([('section', 25), ('row', 36)], blank=True, block_lookup={0: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 1: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 2: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('Arial', 'Arial'), ("'Catamaran'", 'Catamaran'), ('Macklin Sans', 'Macklin Sans'), ('Helvetica', 'Helvetica'), ('sans-serif', 'sans-serif'), ('Georgia', 'Georgia'), ('Times New Roman', 'Times New Roman')], 'required': False}), 3: ('wagtail.blocks.CharBlock', (), {'required': False}), 4: ('wagtail.blocks.CharBlock', (), {}), 5: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 6: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 7: ('wagtail.blocks.StructBlock', [[('title', 4), ('alignment', 5), ('size', 6)]], {'required': False}), 8: ('wagtail.blocks.RichTextBlock', (), {}), 9: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'label': 'Line Spacing', 'required': False}), 10: ('wagtail.blocks.StructBlock', [[('text', 8), ('alignment', 5), ('size', 6), ('line_space', 9)]], {'required': False}), 11: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('bash', 'Bash/Shell'), ('css', 'CSS'), ('diff', 'diff'), ('html', 'HTML'), ('javascript', 'Javascript'), ('json', 'JSON'), ('python', 'Python'), ('scss', 'SCSS'), ('yaml', 'YAML')], 'help_text': 'Coding language', 'identifier': 'language', 'label': 'Language'}), 12: ('wagtail.blocks.TextBlock', (), {'identifier': 'code', 'label': 'Code'}), 13: ('wagtail.blocks.StructBlock', [[('language', 11), ('code', 12)]], {'label': 'Code', 'required': False}), 14: ('wagtail.blocks.BlockQuoteBlock', (), {}), 15: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'required': False}), 16: ('wagtail.blocks.StructBlock', [[('quote', 14), ('alignment', 5), ('size', 6), ('line_space', 15)]], {'required': False}), 17: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 18: ('wagtail.blocks.StructBlock', [[('title', 4), ('size', 6)]], {}), 19: ('wagtail.blocks.StructBlock', [[('desc', 8), ('size', 6), ('alignment', 5), ('line_space', 15)]], {}), 20: ('wagtail.blocks.StructBlock', [[('title', 18), ('detail', 19)]], {}), 21: ('wagtail.blocks.StreamBlock', [[('accord_items', 20)]], {'required': False}), 22: ('wagtail.blocks.PageChooserBlock', (), {'required': False}), 23: ('wagtail.blocks.StructBlock', [[('image', 17), ('caption', 3)]], {'required': False}), 24: ('wagtail.blocks.StreamBlock', [[('heading', 7), ('paragraph', 10), ('code', 13), ('quote', 16), ('image', 17), ('accordion', 21), ('link', 22), ('image_Text', 23)]], {'required': False}), 25: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('fontType', 2), ('title', 3), ('content', 24)]], {}), 26: ('wagtail.blocks.CharBlock', (), {'default': '50%', 'required': False}), 27: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color'}), 28: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color'}), 29: ('wagtail.blocks.StreamBlock', [[('heading', 7), ('paragraph', 10), ('code', 13), ('quote', 16), ('image', 17), ('accordion', 21), ('link', 22), ('image_Text', 23)]], {}), 30: ('wagtail.blocks.StructBlock', [[('fontType', 2), ('content', 29)]], {'required': False}), 31: ('wagtail.blocks.StreamBlock', [[('column', 30)]], {'required': False}), 32: ('wagtail.blocks.StructBlock', [[('bgColor', 27), ('fgColor', 28), ('title', 3), ('content', 31)]], {'required': False}), 33: ('wagtail.blocks.StreamBlock', [[('heading', 7), ('paragraph', 10), ('code', 13), ('quote', 16), ('image', 17), ('sub_row', 32), ('accordion', 21), ('link', 22), ('image_Text', 23)]], {'required': False}), 34: ('wagtail.blocks.StructBlock', [[('fontType', 2), ('width', 26), ('content', 33)]], {'required': False}), 35: ('wagtail.blocks.StreamBlock', [[('column', 34)]], {'required': False}), 36: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('title', 3), ('content', 35)]], {})}, null=True)),
                ('banner', wagtail.fields.StreamField([('banner', 7)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 200, 'max': 400, 'min': 150}), 1: ('wagtail.blocks.IntegerBlock', (), {'default': 400, 'max': 600, 'min': 350}), 2: ('wagtail.blocks.IntegerBlock', (), {'default': 2000, 'help_text': 'Slide time in ms'}), 3: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 4: ('wagtail.blocks.CharBlock', (), {'required': False}), 5: ('wagtail.blocks.StructBlock', [[('image', 3), ('title', 4)]], {}), 6: ('wagtail.blocks.StreamBlock', [[('slide', 5)]], {}), 7: ('wagtail.blocks.StructBlock', [[('height', 0), ('width', 1), ('timer', 2), ('content', 6)]], {})}, null=True)),
                ('showFooter', models.BooleanField(blank=True, default=False, null=True, verbose_name='Show Footer')),
                ('titleImg', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='wagtailimages.image', verbose_name='Title Image')),
                ('category', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='products', to='Service.subcategory')),
            ],
            options={
                'verbose_name': 'Product Page',
            },
            bases=('wagtailcore.page', hitcount.models.HitCountMixin),
        ),
    ]
